# Text Handout Plugin

This unofficial TaleSpire plugin is for adding rich text based handouts regarding a mini.

## Change Log

```
1.0.0: Initial release
```

## Install

Install using R2ModMan or similar.

## Usage

Shortcut keys can be re-configured using the R2ModMan configuration for the plugin.
The default keys are as follows:

``LCTRL``+``T`` = Toggle text handout view.
``RCTRL``+``T`` = GM Only. Toggle text handout editor. When editor is closed, contents are saved.
``LALT``+``T`` = GM Only. Open text handout for the selected mini on all devices.

## Configuration

Besides the configurable shortcuts the following configurations are available:

Use Rich Text For Handout = Indicates if the handout interprets rich text syntax. Default true.
Use Rich Text For Editor = Indicates if the editor interprets rich text syntax. Default false.

Normally you want rich text off for the editor so you can type and edit the rich text syntax.
If rich text is turned on for the editor then all typed syntax would immediately change to
render that syntax and thus it would not be possible to edit it.

For the complete set of rich text syntax, see the internet. Common syntax are:

``<color="name">text</color>`` such as ``<color="blue">Blueberries</color>``
``<size=num>text</size>`` such as ``<size=32>Big</color>``

